﻿@model BeerOverFlow.Models.CountryViewModel

@{
    ViewData["Title"] = "EditCountry";
}

<h1>EditCountry</h1>

<h4>CountryViewModel</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="EditCountry" asp-route-id="@Model.CountryId">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>            
            <div class="form-group">
                <label asp-for="CountryName" class="control-label"></label>
                <input asp-for="CountryName" class="form-control" />
                <span asp-validation-for="CountryName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-controller="Home" asp-action="Index">Back Main</a>
    
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
